## osso-systemsound 0.4

=== Makefile ===
# Makefile for OSSO Master Volume Interface

INCLUDES= $(DESTDIR)/usr/include

all:
	@echo "Nothing to make in all..."

clean:
	@echo "Nothing to make in clean..."

distclean:
	@echo "Nothing to make in distclean..."

install:
	install -d $(INCLUDES)
	install include/* $(INCLUDES)

=== debian/changelog ===
osso-systemsound (0.4) unstable; urgency=low

  * Fixed copyright issues. Fixes: NB#58766

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 29 May 2007 10:10:49 +0300

osso-systemsound (0.3) unstable; urgency=low

  * Version number update 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri,  2 Mar 2007 18:14:20 +0200

osso-systemsound (0.2-2) unstable; urgency=low

  * Changed any to all in control.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 25 May 2005 10:47:59 +0300

osso-systemsound (0.2-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 11 Apr 2005 14:34:27 +0300

osso-systemsound (0.1-3) unstable; urgency=low

  * w11 release build.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 15 Mar 2005 10:16:41 +0200

osso-systemsound (0.1-2) unstable; urgency=low

  * w09 interface release build.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 28 Feb 2005 14:15:09 +0200

osso-systemsound (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 15 Feb 2005 09:28:28 +0200

=== debian/control ===
Source: osso-systemsound
Priority: optional
Maintainer: Makoto Sugano <makoto.sugano@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: osso-systemsound-dev
Section: devel
Architecture: all
Description: OSSO Multimedia/System sound interface
 Multimedia/System sound interface for OSSO

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
